<?php
/**
* Redirect links
* @return void
* @param bool $bCompleteLink
*/
function redirectLink( $bCompleteLink = true ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aRedirects = $oFFS->getData( DB_LINKS_REDIRECT );
  if( isset( $aRedirects ) && is_array( $aRedirects ) ){
    $sUrlRaw = basename( $_SERVER['REQUEST_URI'] );
    if( isset( $bCompleteLink ) ){
      if( isset( $aRedirects[$sUrlRaw] ) ){
        $sRedirectTo = $aRedirects[$sUrlRaw];
      }
    }
    else{
      $aExp = explode( strstr( $sUrlRaw, '.html' ) ? '?' : '&', $sUrlRaw );
      if( isset( $aRedirects[$aExp[0]] ) ){
        $sRedirectTo = $aRedirects[$aExp[0]];
      }
    }

    if( isset( $sRedirectTo ) ){
      header( 'HTTP/1.1 301 Moved Permanently' );
      header( 'Location: ./'.$sRedirectTo );
      exit;
    }
  }
} // end function redirectLink
?>